> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate access token

> Given the access token, validate the associated user. Will create any required user and workspaces as well, it will upgrade any temporary workspaces to pro accounts.
If no authorization token present, then access is invalid. `req.auth.sub` must have the auth0 user id present.




## OpenAPI

````yaml post /auth/validate
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /auth/validate:
    post:
      tags:
        - Auth
      description: >
        Given the access token, validate the associated user. Will create any
        required user and workspaces as well, it will upgrade any temporary
        workspaces to pro accounts.

        If no authorization token present, then access is invalid.
        `req.auth.sub` must have the auth0 user id present.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tempToken:
                  type: string
                  description: An existing temporary access token (optional)
      responses:
        '200':
          description: Validation result
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: boolean
                    description: Whether the user is valid
                  token:
                    type: boolean
                    description: Whether the token is valid
      security:
        - Authentication: []
components:
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````